MethodParametersAttribute (Java SE 23 & JDK 23)
Description: declaration: module: java.base, package: java.lang.classfile.attribute, interface: MethodParametersAttribute
Keywords: java.lang.classfile.attribute.MethodParametersAttribute interface

# Interface MethodParametersAttribute

All Superinterfaces:
  `AttributePREVIEW<MethodParametersAttributePREVIEW>`, `ClassFileElementPREVIEW`, `MethodElementPREVIEW`, `WritableElementPREVIEW<MethodParametersAttributePREVIEW>`

public sealed interface MethodParametersAttribute extends AttributePREVIEW<MethodParametersAttributePREVIEW>, MethodElementPREVIEW
`MethodParametersAttribute` is a preview API of the Java platform.
Programs can only use `MethodParametersAttribute` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Models the `MethodParameters` attribute 4.7.24, which can appear on methods, and records optional information about the method's parameters. Delivered as a `MethodElement`PREVIEW when traversing the elements of a `MethodModel`PREVIEW.

The attribute does not permit multiple instances in a given location. Subsequent occurrence of the attribute takes precedence during the attributed element build or transformation.

The attribute was introduced in the Java SE Platform version 8.

Since:
  22

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MethodParametersAttributePREVIEW`
  `of(MethodParameterInfoPREVIEW... parameters)`
  Returns a `MethodParameters` attribute.
  `static MethodParametersAttributePREVIEW`
  `of(List<MethodParameterInfoPREVIEW> parameters)`
  Returns a `MethodParameters` attribute.
  `List<MethodParameterInfoPREVIEW>`
  `parameters()`
  Returns information about the parameters of the method.

  ### Methods declared in interface java.lang.classfile.AttributePREVIEW

  `attributeMapper, attributeName`

  ### Methods declared in interface java.lang.classfile.WritableElementPREVIEW

  `writeTo`

- ## Method Details

  - ### parameters

    List<MethodParameterInfoPREVIEW> parameters()
    Returns information about the parameters of the method. The i'th entry in the list corresponds to the i'th parameter in the method declaration.
    Returns:
      information about the parameters of the method

  - ### of

    static MethodParametersAttributePREVIEW of(List<MethodParameterInfoPREVIEW> parameters)
    Returns a `MethodParameters` attribute.
    Parameters:
      `parameters` - the method parameter descriptions
    Returns:
      a `MethodParameters` attribute

  - ### of

    static MethodParametersAttributePREVIEW of(MethodParameterInfoPREVIEW... parameters)
    Returns a `MethodParameters` attribute.
    Parameters:
      `parameters` - the method parameter descriptions
    Returns:
      a `MethodParameters` attribute